Bug 184124 - Seahorse not building with LDAP support
Seahorse not building with LDAP support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 12:12 EST by John Thacker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 21:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Thacker 2006-03-06 12:12:49 EST
Description of problem:
As built currently, seahorse does not have LDAP support.  I imagine a
BuildRequire on openldap-devel is all that is needed to fix it.  This is
especially irritating as several LDAP keyservers show up in the default
keyserver list, and some functions, like syncing, will completely fail if LDAP
servers are defined but there is no LDAP keyserver support.  (An annoying
upstream bug to be sure; either they shouldn't be in the default list or it
should silently ignore them.)

Version-Release number of selected component (if applicable):
seahorse-0.8-3.fc5

How reproducible:
Every time

Steps to Reproduce:
1. Install seahorse
2. Attempt to sync without changing the default keyserver list
3.
  
Actual results:
Fails to sync with any server (even the hkp server) with WARNINGS and ERRORS
about missing LDAP support

Expected results:
Should sync

Additional info:
Comment 1 Seth Vidal 2006-03-07 01:22:46 EST
I just checked the addition of openldap-devel into cvs. Could you add it to your
spec file and test it out on your system? I'd just like to know that this change
will cause the right thing to happen before pushing it to plague.

thanks
Comment 2 John Thacker 2006-03-07 09:55:33 EST
Well, it's one of those build issues with Extras where every dependency has to
be explicitly stated in the Spec file..  openldap-devel is installed on my
system, and as a result if I build the package even with the old spec file, LDAP
support is built and works.  I can tell you that if I remove openldap-devel from
my system then LDAP support is no longer built.
Comment 3 John Thacker 2006-04-01 10:19:14 EST
I've tested it and it causes the right thing to happen if openldap-devel is
added.  Can we push this at some point?  (I waited a bit while upgrading/testing
FC5 final.)
Comment 4 John Thacker 2006-09-14 21:46:44 EDT
Thanks, never closed this once the package was pushed.

Note You need to log in before you can comment on or make changes to this bug.